require 'uu/os/rest/dto'
require 'uu/os/uesuri'

# Module Unicorn Universe.
module UU
  # Module Digital Workspace
  module DigitalWorkspace
    # Module Calendar
    module Calendar
      # @see Calendar#get_busy_time_list
      class CalendarGetBusyTimeList < UU::OS::REST::PagingCriteria
        
        # @see Calendar#get_busy_time_list
        attr_accessor :time_min
        
        # @see Calendar#get_busy_time_list
        attr_accessor :time_max
        
        # @see Calendar#get_busy_time_list
        attr_accessor :access_role_uri

        def time_min
          attributes[:timeMin]
        end

        def time_min=(val)
          attributes[:timeMin] = val
        end

        def time_max
          attributes[:timeMax]
        end

        def time_max=(val)
          attributes[:timeMax] = val
        end
        
        def access_role_uri
          attributes[:accessRoleUri]
        end
      
        def access_role_uri=(val)
          if val
             attributes[:accessRoleUri] = UU::OS::UESURI.new(val)
          else
             attributes[:accessRoleUri] = nil
          end
        end
        
      end
    end
  end
end